VFS_QUOTACTL(9)

NAME
VFS_QUOTACTL - manipulate file system quotas

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_QUOTACTL(struct mount *mp, int cmds, uid_t uid, void *arg, bool *mp_busy);

DESCRIPTION
Implement file system quotas.

The mp_busy argument is an input/output parameter. VFS_QUOTACTL() must be called with mp marked busy through vfs_busy(9) and *mp_busy set to true. The filesystem implementation of VFS_QUOTACTL() may then unbusy mp using vfs_unbusy(9) prior to performing quota file I/O. In this case the implementation must set *mp_busy to false to indicate that the caller must not unbusy mp upon completion of VFS_QUOTACTL().

See quotactl(2) for a description of the remaining arguments.

SEE ALSO
quotactl(2), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.